﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace C1FlexGrid_AltRowStyle
{
    public partial class frmAltRowStyle : Form
    {
        public frmAltRowStyle()
        {
            InitializeComponent();
        }
        C1.Win.C1FlexGrid.CellStyle cs;
        private void frmAltRowStyle_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'c1NWindDataSet.Customers' table. You can move, or remove it, as needed.
            this.customersTableAdapter.Fill(this.c1NWindDataSet.Customers);

            c1FlexGrid1.AllowSorting = C1.Win.C1FlexGrid.AllowSortingEnum.SingleColumn;
            c1FlexGrid1.AllowFiltering = true;

            c1FlexGrid1.AfterFilter += new EventHandler(c1FlexGrid1_AfterFilter);
            c1FlexGrid1.AfterSort += new C1.Win.C1FlexGrid.SortColEventHandler(c1FlexGrid1_AfterSort);

            // specifying style
            cs = c1FlexGrid1.Styles.Add("alt");
            cs.BackColor = Color.Red;
        }

        void c1FlexGrid1_AfterSort(object sender, C1.Win.C1FlexGrid.SortColEventArgs e)
        {
            // apply alternating style once sorting is done
            ApplyAltStyle();
        }

        void c1FlexGrid1_AfterFilter(object sender, EventArgs e)
        {
            // apply alternating style once filtering is done
            ApplyAltStyle();
        }

        void ApplyAltStyle()
        {
            // apply alternating style
            bool alt = false;
            for (int r = 1; r < c1FlexGrid1.Rows.Count; r++)
            {
                if (c1FlexGrid1.Rows[r].Visible)
                {
                    alt = !alt;
                    c1FlexGrid1.Rows[r].Style = alt ? c1FlexGrid1.Styles["alt"] : null;
                }
            }
        }

        private void btnHideRows_Click(object sender, EventArgs e)
        {
            // hide some rows
            for (int r = 1; r < c1FlexGrid1.Rows.Count; r += 3)
                c1FlexGrid1.Rows[r].Visible = false;
        }

        private void btnApplyAltStyles_Click(object sender, EventArgs e)
        {
            // apply alternating style
            ApplyAltStyle();
        }
    }
}
